## org.apache.commons.collections.functors
Class ForClosure

    java.lang.Object
      org.apache.commons.collections.functors.ForClosure

All Implemented Interfaces:
  java.io.Serializable, Closure

    public class ForClosure

extends java.lang.Object
implements Closure, java.io.Serializable

Closure implementation that calls another closure n times, like a for loop.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`ForClosure(int count, Closure closure)` Constructor that performs no validation.

Method Summary
`void` `execute(java.lang.Object input)` Executes the closure `count` times.
`Closure` `getClosure()` Gets the closure.
`int` `getCount()` Gets the count.
`static Closure` `getInstance(int count, Closure closure)` Factory method that performs validation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForClosure

    public ForClosure(int count,
                      Closure closure)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `count` - the number of times to execute the closure
    `closure` - the closure to execute, not null

Method Detail

### getInstance

    public static Closure getInstance(int count,
                                      Closure closure)

  Factory method that performs validation.

  A null closure or zero count returns the `NOPClosure`. A count of one returns the specified closure.

  Parameters:
    `count` - the number of times to execute the closure
    `closure` - the closure to execute, not null
  Returns:
    the `for` closure

### execute

    public void execute(java.lang.Object input)

  Executes the closure `count` times.

  Specified by:
    `execute` in interface `Closure`
  Parameters:
    `input` - the input object

### getClosure

    public Closure getClosure()

  Gets the closure.

  Returns:
    the closure
  Since:
    Commons Collections 3.1

### getCount

    public int getCount()

  Gets the count.

  Returns:
    the count
  Since:
    Commons Collections 3.1

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.